Bug 108770 - rhn-applet ignores pgkskiplist, fileskiplist, ignorepackages
rhn-applet ignores pgkskiplist, fileskiplist, ignorepackages
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rhn-applet (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Beth Nackashi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-01 10:47 EST by jerry asher
Modified: 2007-04-18 12:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-17 15:50:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description jerry asher 2003-11-01 10:47:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5)
Gecko/20030925

Description of problem:
I freshly installed RH9 on a brand new disk.  (Thanks for the upgrade
from 4200 to 5400 Hitachi and Dell, I still wish the old disk hadn't
crashed!)   THE PROBLEM I DESCRIBED BELOW EXISTED UNDER REDHAT 8 TOO
(on the old disk)

I have an application that requires postgres 7.2.4.

I removed the postgres 7.3 rpms, visited the postgres site and
downloaded 7.2.4 rpms.  I installed them and soon rhn-applet-gui was
telling me that I had 10 updates available, one for each of the pg rpms.

As root, using up2date-configure, I have tried all permutations of:

A)  pkgSkipLists of:
*
postgres
postgres*
postgresql;postgresql-contrib;postgresql-devel; ...

B) fileSkipLists of:
*
postgres
postgres*
postgresql;postgresql-contrib;postgresql-devel; ...

C) placing in ~/.rhn-applet.conf
IgnoredPackages=postgres*

Each time I have made a mod, I have 
a) Tried just clicking on check for updates
b) and then killing and restarting rhn-applet-gui

QUESTION: Do I need step b) or should step a) be sufficient?

I have also many many times tried:

up2date -p

ALL TO NO AVAIL

I have visited rhn.redhat.com and confirmed that at the website, the
web rhn db believes my machines needs postgres to be updated.

Googling on pkgskiplist reveals this to be a long standing problem.

Selecting up2date shows that up2date agrees nothing needs to be
updated and the website and applet are both wrong.

I)  I would like to see the applet fixed
II) At the website, I should be able to tell the website to 
    skip packages too.

Thanks!

Version-Release number of selected component (if applicable):
rhn-applet-2.0.9

How reproducible:
Always

Steps to Reproduce:
1.  Install Red Hat 8 or 9
2.  Install Red Hat's PG 7.3 rpms
3.  Remove Red Hat's PG 7.3 rpms
4.  Install PG's 7.2.4 rpms
5.  Use up2date --configure to indicate up2date should ignore postgres*
6.  ???
7.  deprofit
    

Actual Results:  The up2date applet turned alarming red with a
flashing white exclamation point.

Expected Results:  The up2date applet turns a nice copacetic blue with
a white checkmark.

Additional info:
Comment 1 Daniel Veillard 2003-11-01 12:05:46 EST
The applet do not use the up2date configuration informations.
The setting are in $HOME/.rhn-applet.conf
The variable is IgnoredPackages

  this is not a bug. The up2date configuration are root owned and
protected. You must use the applet configuration for this.

Daniel
Comment 2 jerry asher 2003-11-02 13:54:37 EST
Hi, I am reopening this.  First, I want redhat to do well and I
realize that funds aren't unlimited.  It's frustrating to see such
poorly documented interfaces, or poorly implemented interfaces.  It's
further frustrating to fill out a very detailed bug report to have it
come back as notabug without much thought on your part.  It's
disrespectful of the time and energy and cost placed in the creation
of a useful bug report.  

I need to use the applet configuration for this?  And just what/where
is that?  And where is it documented?

I finally realized by looking at the python that I was to use
~/.rhn-applet.conf

But a) if this is notabug of functionality, you should be changing it
to a bug against documentation.

I have a flashy red icon.  I click right and I see a menu item
configuration.  I click on it.  It asks me to accept terms of
agreement, it has me configure proxy info, and it congratulates me.

There is nothing about configuring ignored packages.  How do I
configure ignored packages?

Well now I know, but the point is:
1)  How come there is no help for this applet?  
    BUG: Documentation

2)  How come clicking right doesn't list the behavior of a left click?
    BUG: Implementation

3)  How come the left clicked Ignored Package Widget doesn't allow
    for multiple selection, something possible in X for at least 
    12 years now: (or text input with wildcards)
    BUG: Implementation  

4)  How come the applet offers a only configure for 
    what developers think is a completely different utility 
    (up2date) on a right click?  The point being that if you're going
    to explicitly link these two utilities by way of a menu,
    than you should understand why users think of these as two faces
    of the same utility, and why to users there is only massive
    confusion of the differences between IgnoredPackages and
    PkgSkipList.
    BUG: Design

Clearly there is a bug in here somewhere.

I would think you could easily address 1) and 2) and 3) and then since
I see it many places of interaction on the desktop, that lots of you
RH developers should seriously contemplate 4))  (If you're into zen,
find an old Alan Watts lecture about the bees and the flowers being in
actuality two faces of the same creature, food for thought.)
Comment 3 jerry asher 2003-11-02 13:57:07 EST
4) continued.  The right click behavior should probably list two menu
   items:

   configure-up2date-preferences
   configure-alert-applet-preferences

And all documentation for up2date should include a mention of the
desktop interface, the rhn-applet, how and why it is not up2date and 
how and where to configure that and why you might want to.
Comment 4 Daniel Veillard 2003-11-02 16:29:55 EST
1) no help, well the applet is simple, it wasn't obvious that
   help would be needed. What kind of help, UI ? Config ? it's unclear.
   that's right that should probably be added.
2) "How come clicking right doesn't list the behavior of a left click?"
   clicking right where ? What does "list behaviour of a left click"
   is supposed to mean, really no idea
3) well usually people only have a couple of packages to ignore.     
   Implementing the full selection does not look that useful. I take
   patch if you know how to do this.
4) Design wise up2date and the rhn_applet are disting program. There
   is a very good reason for this, the applet MUST run under the user
   account and up2date MUST run as root to be able to manipulate 
   packages. Considering the massive confusion, except you so far,
   there haven't been massive confusion, you're the first one to
   comment about the configuration problem but you indeed seems to
   have been very confused (or annoyed by this)

Daniel
Comment 5 Bill Nottingham 2006-08-05 01:10:15 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.

Note You need to log in before you can comment on or make changes to this bug.